package com.xty.common.weight.areaselector;

import java.util.List;

public class CitySuccess {

    /**
     * status : 0
     * message : query ok
     * data_version : 20200417
     * result : [[{"id":"110101","fullname":"东城区"}]]
     */

    @Override
    public String toString() {
        return "CitySuccess{" +
                "status=" + status +
                ", message='" + message + '\'' +
                ", data_version='" + data_version + '\'' +
                ", result=" + result +
                '}';
    }

    private int status;
    private String message;
    private String data_version;
    private List<List<ResultBean>> result;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getData_version() {
        return data_version;
    }

    public void setData_version(String data_version) {
        this.data_version = data_version;
    }

    public List<List<ResultBean>> getResult() {
        return result;
    }

    public void setResult(List<List<ResultBean>> result) {
        this.result = result;
    }

    public static class ResultBean {
        @Override
        public String toString() {
            return "ResultBean{" +
                    "id='" + id + '\'' +
                    ", fullname='" + fullname + '\'' +
                    '}';
        }

        /**
         * id : 110101
         * fullname : 东城区
         */


        private String id;
        private String fullname;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getFullname() {
            return fullname;
        }

        public void setFullname(String fullname) {
            this.fullname = fullname;
        }
    }
}
